aboutsummaryrefslogtreecommitdiffstats
path: root/bootstrap-verify-perf.sh
diff options
context:
space:
mode:
authorTibor Frank <tifrank@cisco.com>2017-05-04 09:53:13 +0200
committerPeter Mikus <pmikus@cisco.com>2017-06-02 04:19:37 +0000
commit78e999f1203dc8b7c29c24b0178bb8c23edf4c52 (patch)
treebc753615b862f4ae3cf97da4ccf86041f2552eca /bootstrap-verify-perf.sh
parent2bffc3fb7d273f352187ccdd412e5536c9a4917d (diff)
CSIT-572: Add script for data collection for report
- Add script which picks required data from RF output.xml and saves it in JSON format. - Run this script automatically when the output.xml is generated. - Archive the output. Change-Id: I89589369975e14fc8d8e4afa88abfa34260c09cf Signed-off-by: Tibor Frank <tifrank@cisco.com>
Diffstat (limited to 'bootstrap-verify-perf.sh')
-rwxr-xr-xbootstrap-verify-perf.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/bootstrap-verify-perf.sh b/bootstrap-verify-perf.sh
index 5cc36f3034..e3a7970763 100755
--- a/bootstrap-verify-perf.sh
+++ b/bootstrap-verify-perf.sh
@@ -27,7 +27,7 @@ INSTALLATION_DIR="/tmp/install_dir"
PYBOT_ARGS="-W 150 -L TRACE"
-ARCHIVE_ARTIFACTS=(log.html output.xml report.html output_perf_data.xml)
+ARCHIVE_ARTIFACTS=(log.html output.xml report.html output_perf_data.xml output_perf_data.json)
# If we run this script from CSIT jobs we want to use stable vpp version
if [[ ${JOB_NAME} == csit-* ]] ;
@@ -327,6 +327,14 @@ if [ ! $? -eq 0 ]; then
echo "Parsing ${SCRIPT_DIR}/output.xml failed"
fi
+python ${SCRIPT_DIR}/resources/tools/report_gen/run_robot_json_data.py \
+ --input ${SCRIPT_DIR}/output.xml \
+ --output ${SCRIPT_DIR}/output_perf_data.json \
+ --vdevice ${VPP_STABLE_VER}
+if [ ! $? -eq 0 ]; then
+ echo "Generating JSON data for report from ${SCRIPT_DIR}/output.xml failed"
+fi
+
# Archive artifacts
mkdir archive
for i in ${ARCHIVE_ARTIFACTS[@]}; do